import Vue from 'vue';
import App from './App.vue';
import router from './router';
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import { getUser } from './utils/tool';

Vue.use(ElementUI);

router.beforeEach((to, from, next) => {
  if (to.meta.title) document.title = to.meta.title;
  const traditional = /^\/traditional/g.test(to.path.toLowerCase());
  const advertisement = /^\/advertisement/g.test(to.path);
  const Mobile = /^\/Mobile/g.test(to.path);
  const menuDiet1 = /^\/menuDiet/g.test(to.path.toLowerCase());
  const Calendar = /^\/Calendar/g.test(to.path);
  const SilkRoadData = /^\/SilkRoadData/g.test(to.path);
  const SilkRoadDetail = /^\/SilkRoadDetail/g.test(to.path);
  const UpExcelSlcw = /^\/UpExcelSlcw/g.test(to.path);
  const mainBuilding = to.name === 'MainBuilding';
  document.title = to.meta.title || '';
  if (
    mainBuilding ||
    traditional ||
    advertisement ||
    Mobile ||
    menuDiet1 ||
    Calendar ||
    SilkRoadData ||
    SilkRoadDetail ||
    UpExcelSlcw ||
    localStorage.user
  )
    return next();
  // apply 必须拿到oa用户数据
  getUser(() => next());
});

new Vue({
  router,
  render: h => h(App),
}).$mount('#app');
